#pragma once

#include <QWidget>
#include "ui_FullScreenPanel.h"

class FullScreenPanel : public QWidget
{
	Q_OBJECT

public:
	FullScreenPanel(QWidget *parent = 0);
	~FullScreenPanel();

	void ShowWidgetAsFullscreen(QWidget* w, QLayout* parent);

protected:
	virtual void closeEvent(QCloseEvent *e);
	virtual void keyPressEvent(QKeyEvent *e);

private slots:
	void on_actionActionClose_triggered();

	void on_buttonClose_clicked();

private:
	Ui::FullScreenPanel ui;

	QWidget* m_Target;
	QLayout* m_PrevLayout;
};
